import { Base } from './base';
import { Option } from './option';
import { Column } from './column';
export declare class Table<T> extends Base {
    /**
     * Private Variables
     */
    private _options;
    private _items;
    private _columns;
    /**
     * Public Variables
     * @type {boolean}
     */
    visible: boolean;
    /**
     * options
     * @returns {any}
     */
    /**
     * options
     * @param Option
     */
    options: Option;
    /**
     * items
     * @returns {Array<Name>}
     */
    /**
     * items
     * @param items
     */
    items: T[];
    /**
     * items
     * @returns {Array<Item>}
     */
    /**
     * columns
     * @param columns
     */
    columns: Column[];
    /**
     * SortBy
     * @param column
     * @constructor
     */
    Sortby(column: string, ascending?: boolean): void;
    /**
     * Render()
     */
    private render();
    /**
     * compare()
     * @param a
     * @param b
     * @param prop
     * @returns {number}
     */
    private compare(a, b, prop, ascending?);
    /**
     * constructor()
     */
    constructor();
    constructor(options: Option);
    constructor(options: Option, columns: Column[]);
}
